Upstream information

CVE-2017-6418 at MITRE

Description

libclamav/message.c in ClamAV 0.99.2 allows remote attackers to cause a denial of service (out-of-bounds read) via a crafted e-mail message.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact None None
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 5.3
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Local Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1052466 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2018-176
SUSE Linux Enterprise Desktop 12 SP3
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-176
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise Server 12 SP4
  • clamav >= 0.100.2-33.18.1
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • clamav >= 0.101.3-1.19
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • clamav >= 0.100.3-3.9.1
  • clamav-devel >= 0.100.3-3.9.1
  • libclamav7 >= 0.100.3-3.9.1
  • libclammspack0 >= 0.100.3-3.9.1
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • clamav >= 0.100.3-3.20.1
  • clamav-devel >= 0.100.3-3.20.1
  • libclamav7 >= 0.100.3-3.20.1
  • libclammspack0 >= 0.100.3-3.20.1
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • clamav >= 0.103.2-3.26.1
  • clamav-devel >= 0.103.2-3.26.1
  • libclamav9 >= 0.103.2-3.26.1
  • libfreshclam2 >= 0.103.2-3.26.1
SUSE Linux Enterprise Module for Basesystem 15
  • clamav >= 0.100.0-1.17
  • clamav-devel >= 0.100.0-1.17
  • libclamav7 >= 0.100.0-1.17
  • libclammspack0 >= 0.100.0-1.17
SUSE Linux Enterprise Point of Sale 11 SP3
  • clamav >= 0.99.3-0.20.3.2
Patchnames:
sleposp3-clamav-13445
SUSE Linux Enterprise Server 11 SP3-LTSS
  • clamav >= 0.99.3-0.20.3.2
Patchnames:
slessp3-clamav-13445
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • clamav >= 0.99.3-0.20.3.2
Patchnames:
slessp4-clamav-13445
SUSE Linux Enterprise Server 12 SP1-LTSS
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-176
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-176
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-176
SUSE Linux Enterprise Server 12-LTSS
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-SERVER-12-2018-176
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2018-176
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-176
SUSE Linux Enterprise Server for SAP Applications 12
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-SLE-SAP-12-2018-176
SUSE OpenStack Cloud 6
  • clamav >= 0.99.3-33.5.1
Patchnames:
SUSE-OpenStack-Cloud-6-2018-176
openSUSE Tumbleweed
  • clamav >= 0.103.3-1.4
  • clamav-devel >= 0.103.3-1.4
  • clamav-milter >= 0.103.3-1.4
  • libclamav9 >= 0.103.3-1.4
  • libfreshclam2 >= 0.103.3-1.4
Patchnames:
openSUSE Tumbleweed GA clamav-0.103.3-1.4


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED (12) clamav Released
SLES (12) clamav Released
SLES-BCL (12) clamav Released
SLES-ESPOS (12) clamav Released
SLES-LTSS (12) clamav Released
SLES-LTSS (15) clamav Already fixed
SLES-LTSS-ERICSSON (12) clamav Released
SLES-LTSS-SAP (12) clamav Released
SLES_BCL (15) clamav Already fixed
SLES_SAP (12) clamav Released
SLES_SAP (15) clamav Already fixed
SLE_HPC-ESPOS (15) clamav Already fixed
SLE_HPC-LTSS (15) clamav Already fixed
SUSE-Manager-Proxy (4.0) clamav Already fixed
SUSE-Manager-Retail-Branch-Server (4.0) clamav Already fixed
SUSE-Manager-Server (4.0) clamav Already fixed
SUSE_SLES (11) clamav Released
SUSE_SLES_LTSS (11) clamav In progress
caasp (4.0) clamav Already fixed
hpe-helion-openstack (8) clamav Released
ses (5) clamav Released
ses (6) clamav Already fixed
sle-module-basesystem (15) clamav Already fixed
sle-pos (11) clamav In progress
sle-pos (12) clamav Released
suse-openstack-cloud (7) clamav Released
suse-openstack-cloud (8) clamav Released
suse-openstack-cloud (9) clamav Released
suse-openstack-cloud-crowbar (8) clamav Released
suse-openstack-cloud-crowbar (9) clamav Released